Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class Specializzazione

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.Specializzazione

    public class Specializzazione

extends java.lang.Object

Specializzazione posseduta dal dipendente.

Field Summary
`private java.lang.String` | `codSpecializzazione` Codice della specializzazione posseduta.
`private java.lang.String` | `dataSpecializzazione` Data di conseguimento della specializzazione.

Constructor Summary
`Specializzazione()`

Method Summary
`java.lang.String` | `getCodSpecializzazione()`
`java.lang.String` | `getDataSpecializzazione()`
`void` | `setCodSpecializzazione(java.lang.String codSpecializzazione)`
`void` | `setDataSpecializzazione(java.lang.String dataSpecializzazione)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codSpecializzazione

    @Facets(maxLength=6L,
            pattern="(A1|A2|A3|A4|A60|C1|A5|A6|A7|D2|A8|A9|A10|A11|A12|A13|A58|A14|A15|A16|A17|A59|D3|D4|A18|G1|A19|A20|A21|A22|A23|C2|A24|A25|A26|A27|A28|A29|A30|A31|A32|A33|A34|A35|A36|A37|A38|A39|A40|A41|A42|A43|A44|B1|A45|A46|A57|A47|A48|A49|A50|A51|H1|H2|A52|A53|A54|C3|A55|A56)?")
    @MinOccurs(value=0L)
    private java.lang.String codSpecializzazione

  Codice della specializzazione posseduta. Può assumere i seguenti valori:
  - A1: Allergologia ed Immunologia clinica
  - A2: Anatomia patologica
  - A3: Anestesia e Rianimazione
  - A4: Angiologia
  - A60: Audiologia e Foniatria
  - C1: Area dell'igiene della produzione, trasformazione, commercializzazione, conservazione e trasporto degli alimenti di origine animale e loro derivati
  - A5: Biochimica clinica
  - A6: Cardiochirurgia
  - A7: Cardiologia
  - D2: Chimica analitica
  - A8: Chirurgia generale
  - A9: Chirurgia maxillo facciale
  - A10: Chirurgia pediatrica
  - A11: Chirurgia plastica e ricostruttiva
  - A12: Chirurgia toracica
  - A13: Chirurgia vascolare
  - A58: Cure Palliative
  - A14: Dermatologia e Venerologia
  - A15: Direzione medica di Presidio Ospedaliero
  - A16: Ematologia
  - A17: Endocrinologia
  - A59: Epidemiologia
  - D3: Farmaceutica territoriale
  - D4: Farmacia Ospedaliera
  - A18: Farmacologia e Tossicologia
  - G1: Fisica sanitaria
  - A19: Gastroenterologia
  - A20: Genetica medica
  - A21: Geriatria
  - A22: Ginecologia e Ostetricia
  - A23: Igiene degli alimenti e della nutrizione
  - C2: Igiene degli allevamenti e delle produzioni zootecniche
  - A24: Igiene, Epidemiologia e Sanità pubblica
  - A25: Laboratorio di genetica medica
  - A26: Malattie dell'apparato respiratorio
  - A27: Malattie infettive
  - A28: Malattie metaboliche e diabetologia
  - A29: Medicina del Lavoro e sicurezza degli ambienti di lavoro
  - A30: Medicina dello sport
  - A31: Medicina e chirurgia d'accettazione e d'urgenza
  - A32: Medicina fisica e riabilitazione
  - A33: Medicina interna
  - A34: Medicina legale
  - A35: Medicina nucleare
  - A36: Medicina trasfusionale
  - A37: Microbiologia e Virologia
  - A38: Nefrologia
  - A39: Neonatologia
  - A40: Neurochirurgia
  - A41: Neurofisiopatologia
  - A42: Neurologia
  - A43: Neuropsichiatria infantile
  - A44: Neuroradiologia
  - B1: Odontoiatria
  - A45: Oftalmologia
  - A46: Oncologia
  - A57: Organizzazione Servizi Sanitari di Base
  - A47: Ortopedia e Traumatologia
  - A48: Otorinolaringoiatria
  - A49: Patologia clinica
  - A50: Pediatria
  - A51: Psichiatria
  - H1: Psicologia
  - H2: Psicoterapia
  - A52: Radiodiagnostica
  - A53: Radioterapia
  - A54: Reumatologia
  - C3: Sanità animale
  - A55: Scienza dell'alimentazione e dietetica
  - A56: Urologia

### dataSpecializzazione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataSpecializzazione

  Data di conseguimento della specializzazione.

Constructor Detail

### Specializzazione

    public Specializzazione()

Method Detail

### getCodSpecializzazione

    public java.lang.String getCodSpecializzazione()

### setCodSpecializzazione

    public void setCodSpecializzazione(java.lang.String codSpecializzazione)

### getDataSpecializzazione

    public java.lang.String getDataSpecializzazione()

### setDataSpecializzazione

    public void setDataSpecializzazione(java.lang.String dataSpecializzazione)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD